<?php

$i = 42;

echo "Vor dem Problem. Wert von \$i: $i" . "<hr>";

for ($i == 0; $i < 10 ; $i++) { 
    echo "Hochzählen von \$i: $i" . "<br>";
}

echo "Nach dem Problem. Wert von \$i: $i" . "";

?>